FreeMat

- Main Page
- Related Pages

vtkLoopSubdivisionFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkLoopSubdivisionFilter is an approximating subdivision scheme that creates four new triangles for each triangle in the mesh. The user can specify the NumberOfSubdivisions. Loop's subdivision scheme is described in: Loop, C., "Smooth Subdivision surfaces based on triangles,", Masters Thesis, University of Utah, August 1987. For a nice summary of the technique see, Hoppe, H., et. al, "Piecewise Smooth Surface Reconstruction,:, Proceedings of Siggraph 94 (Orlando, Florida, July 24-29, 1994). In COmputer Graphics Proceedings, Annual COnference Series, 1994, ACM SIGGRAPH, pp. 295-302.

The filter only operates on triangles. Users should use the vtkTriangleFilter to triangulate meshes that contain polygons or triangle strips.

The filter approximates point data using the same scheme. New triangles create at a subdivision step will have the cell data of their parent cell.

To create an instance of class vtkLoopSubdivisionFilter, simply invoke its constructor as follows

      obj = vtkLoopSubdivisionFilter

# Methods

The class vtkLoopSubdivisionFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkLoopSubdivisionFilter class.

- `string = obj.GetClassName ()` - Construct object with NumberOfSubdivisions set to 1.
- `int = obj.IsA (string name)` - Construct object with NumberOfSubdivisions set to 1.
- `vtkLoopSubdivisionFilter = obj.NewInstance ()` - Construct object with NumberOfSubdivisions set to 1.
- `vtkLoopSubdivisionFilter = obj.SafeDownCast (vtkObject o)` - Construct object with NumberOfSubdivisions set to 1.